Page MenuHomePhabricator

Exception in getDeepestCommonRoot() when viewing certain post-reply notifications
Closed, ResolvedPublic

Description

Original affected user is @Wmat (same username on both IRC and MediaWiki.org)

2016-04-26 19:18:06 [Vx@@7QpAMF0AABEtrJcAAAAE] mw1258 mediawikiwiki 1.27.0-wmf.22 exception ERROR: [Vx@@7QpAMF0AABEtrJcAAAAE] /wiki/Special:Notifications   BadMethodCallException from line 753 of /srv/mediawiki/php-1.27.0-wmf.22/extensions/Flow/includes/Notifications/Controller.php: Call to a member function equals() on a non-object (null) {"exception_id":"Vx@@7QpAMF0AABEtrJcAAAAE"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.27.0-wmf.22/extensions/Flow/includes/Notifications/Controller.php:753) Call to a member function equals() on a non-object (null)
  #0 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Flow/includes/Notifications/Controller.php(689): Flow\NotificationController->getDeepestCommonRoot(array)
  #1 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Flow/includes/Notifications/PostReplyPresentationModel.php(30): Flow\NotificationController->getTopmostPostId(array)
  #2 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(41): Flow\PostReplyPresentationModel->getPrimaryLink()
  #3 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/formatters/EchoEventFormatter.php(30): SpecialNotificationsFormatter->formatModel(Flow\PostReplyPresentationModel)
  #4 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/DataOutputFormatter.php(142): EchoEventFormatter->format(EchoEvent)
  #5 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/DataOutputFormatter.php(117): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, Language)
  #6 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/special/SpecialNotifications.php(54): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, Language)
  #7 /srv/mediawiki/php-1.27.0-wmf.22/includes/specialpage/SpecialPage.php(415): SpecialNotifications->execute(NULL)
  #8 /srv/mediawiki/php-1.27.0-wmf.22/includes/specialpage/SpecialPageFactory.php(572): SpecialPage->run(NULL)
  #9 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
  #10 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(745): MediaWiki->performRequest()
  #11 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(519): MediaWiki->main()
  #12 /srv/mediawiki/php-1.27.0-wmf.22/index.php(43): MediaWiki->run()
  #13 /srv/mediawiki/w/index.php(3): include(string)
  #14 {main}

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.Apr 26 2016, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 7:26 PM
Catrope triaged this task as Unbreak Now! priority.

Gerrit said "internal server error" when I first uploaded it, and evidently the bot missed it. It's https://gerrit.wikimedia.org/r/#/c/285448/1

Change 285448 merged by jenkins-bot:
Fix deepest common root when first path is longer and later is a prefix

https://gerrit.wikimedia.org/r/285448

Change 285537 had a related patch set uploaded (by Catrope):
Fix deepest common root when first path is longer and later is a prefix

https://gerrit.wikimedia.org/r/285537

Change 285537 merged by jenkins-bot:
Fix deepest common root when first path is longer and later is a prefix

https://gerrit.wikimedia.org/r/285537

This was backported and deployed just now.

General regression testing is done on testwiki. No problems found.

jmatazzoni closed this task as Resolved.Apr 29 2016, 4:45 PM